- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Search for |

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# LESwaps Class Reference

This class is used to access data which stored in big endian order regardless of the conventions of the platform. More...

`#include <LESwaps.h>`

## Static Public Member Functions
static le_uint8 | isBigEndian ()
| This method detects the endian-ness of the platform by casting a pointer to a word to a pointer to a byte.
static le_uint16 | swapWord (le_uint16 value)
| This method does the byte swap required on little endian platforms to correctly access a (16-bit) word.
static le_uint32 | swapLong (le_uint32 value)
| This method does the byte swapping required on little endian platforms to correctly access a (32-bit) long.

## Detailed Description

This class is used to access data which stored in big endian order regardless of the conventions of the platform.

It has been designed to automatically detect the endian-ness of the platform, so that a compilation flag is not needed.

All methods are static and inline in an attempt to induce the compiler to do most of the calculations at compile time.

Stable:
  ICU 2.8

Definition at line 63 of file LESwaps.h.

## Member Function Documentation

static le_uint8 LESwaps::isBigEndian | ( |  | ) | `[inline, static]`

This method detects the endian-ness of the platform by casting a pointer to a word to a pointer to a byte.

On big endian platforms the FF will be in the byte with the lowest address. On little endian platforms, the FF will be in the byte with the highest address.

Returns:
  TRUE if the platform is big endian

Stable:
  ICU 2.8

Definition at line 78 of file LESwaps.h.

static le_uint16 LESwaps::swapWord | ( | le_uint16 | value | ) | `[inline, static]`

This method does the byte swap required on little endian platforms to correctly access a (16-bit) word.

Parameters:

  | value | - the word to be byte swapped

Returns:
  the byte swapped word

Stable:
  ICU 2.8

Definition at line 96 of file LESwaps.h.

static le_uint32 LESwaps::swapLong | ( | le_uint32 | value | ) | `[inline, static]`

This method does the byte swapping required on little endian platforms to correctly access a (32-bit) long.

Parameters:

  | value | - the long to be byte swapped

Returns:
  the byte swapped long

Stable:
  ICU 2.8

Definition at line 111 of file LESwaps.h.

The documentation for this class was generated from the following file:

- LESwaps.h